Loading...
Searching...
No Matches
MatteShader< GridT, SamplerType > Class Template Reference

Shader that produces a simple matte. More...

`#include <openvdb/tools/RayTracer.h>`

Inheritance diagram for MatteShader< GridT, SamplerType >:

## Public Types

using | RayT = math::Ray<Real>

## Public Member Functions

| MatteShader (const GridT &grid)
| MatteShader (const MatteShader &)=default
| ~MatteShader () override=default
Film::RGBA | operator() (const Vec3R &xyz, const Vec3R &, const Vec3R &) const override
| Defines the interface of the virtual function that returns a RGB color.
BaseShader * | copy () const override

## Detailed Description

template<typename GridT = Film::RGBA, typename SamplerType = tools::PointSampler>
class openvdb::v11_0::tools::MatteShader< GridT, SamplerType >

Shader that produces a simple matte.

The color can either be constant (if GridT = Film::RGBA which is the default) or defined in a separate Vec3 color grid. Use SamplerType to define the order of interpolation (default is zero order, i.e. closes-point).

## Member Typedef Documentation

## RayT

using RayT = math::Ray<Real>

inherited

## Constructor & Destructor Documentation

## MatteShader() [1/2]

template<typename GridT = Film::RGBA, typename SamplerType = tools::PointSampler>

MatteShader | ( | const GridT & | grid | ) |

inline

## MatteShader() [2/2]

template<typename GridT = Film::RGBA, typename SamplerType = tools::PointSampler>

MatteShader | ( | const MatteShader< GridT, SamplerType > & |  | ) |

default

## ~MatteShader()

template<typename GridT = Film::RGBA, typename SamplerType = tools::PointSampler>

~MatteShader | ( |  | ) |

override default

## Member Function Documentation

## copy()

template<typename GridT = Film::RGBA, typename SamplerType = tools::PointSampler>

BaseShader * copy | ( |  | ) | const

inline override virtual

Implements BaseShader.

## operator()()

template<typename GridT = Film::RGBA, typename SamplerType = tools::PointSampler>

Film::RGBA operator() | ( | const Vec3R & | xyz,
|  | const Vec3R & | nml,
|  | const Vec3R & | dir ) const

inline override virtual

Defines the interface of the virtual function that returns a RGB color.

Parameters

  xyz | World position of the intersection point.
  nml | Normal in world space at the intersection point.
  dir | Direction of the ray in world space.

Implements BaseShader.